#!/bin/sh
set -e

hostname="$1"

case "$hostname" in
    panda0) ip=192.168.12.169; relay=0;;
    panda-test) ip=192.168.12.180; relay=2;;
    *) echo Unknown host "$hostname" >&2; exit 1;;
esac

scp omap4-netboot-mkcard.sh "$hostname":
ssh "$hostname" ./omap4-netboot-mkcard.sh /dev/mmcblk0
ssh-keygen -f "/home/robie/.ssh/known_hosts" -R $ip
panda $relay off
sleep 2
panda $relay on
